POSTkaia_call

Executes a contract's read-only method without creating or submitting a transaction. Primarily used to read the current state of a specific smart contract. State changes from the call do not occur.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. call object - Enter the contract address to call and the function data.
  2. block identifier - Block number, block hash, or block tag for the block to query.
  3. state override set - State override set for the transaction (optional).
params[0]object
fromstring

Enter the transaction's from address as a string.

tostring

Enter the transaction's to address as a string.

gasstring

Enter the gas limit for the transaction as a hexadecimal string. For smart contract calls, you can enter 0x0 since no gas is consumed.

gasPricestring

Enter the gas price per unit as a hexadecimal string.

valuestring

The value field of the transaction.

datastring

The method signature hash of the transaction to execute. Can be referenced from the ABI.

params[1]string

Use one of block hash, block number, or block tag to specify the block.

  • Block number: Hexadecimal string (e.g. "0x1")
  • Block hash: 64-digit hexadecimal string (e.g. "0x39008d07edf93c03bb9d1cfc80598fcf63f441ec86e9de3733fa6a484980ca48")]
  • Block tag: Enum string (e.g. "latest", "earliest", "pending")
    • earliest: The oldest available block on the chain.
    • finalized: A recently finalized block that can no longer be changed. Primarily used in proof-of-stake (PoS) blockchains.
    • safe: A recent block considered safe by the network (immune to reorgs).
    • latest: The most recent block on the chain (may be subject to reorgs).
    • pending: The next block to be mined, including pending transactions in the mempool.
Responses

응답 본문이 없습니다.

X-API-KEY
RequestCU23
cURL
curl -X POST "https://kaia-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "kaia_call",
  "params": [
    {
      "to": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
      "data": "0x70a08231000000000000000000000000d8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
    },
    "latest"
  ]
}'
Response
Example · 200
"0x1"